"""
URL configuration for homepage project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from website.views import newspage, post, about, search, home, contact, datenschutz, impressum, anmeldung, tagungsplan, success, failure, mail, arbeitsgruppen

urlpatterns = [
    path("", home, name = "homepage"),
    path('admin/', admin.site.urls),
    path('news/', newspage, name = 'newspage'),
    path('post/<slug>/', post, name = 'post'),
    path('about/', about, name= 'about'),
    path('search/', search, name = 'search'),
    path('contact/', contact, name = 'contact'),
    path('datenschutz/', datenschutz, name = 'datenschutz'),
    path('impressum/', impressum, name = 'impressum'),
    path('anmeldung/', anmeldung, name = 'anmeldung'),
    path('tagungsplan/', tagungsplan, name = 'tagungsplan'),
    path('arbeitsgruppen/', arbeitsgruppen, name = 'arbeitsgruppen'),
    path('success/', success, name = 'success'),
    path('failure/', failure, name = 'failure'),
    path('captcha/', include('captcha.urls')),
    path('mail/', mail, name = 'mail'),
    ]
